Create an event-only custom email template
curl --request POST \
--url https://api.eventlink.co/api/v1/dashboard/events/{eventId}/email-templates/custom \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"scheduleOffsetMinutes": 123,
"enabled": true
}
'import requests
url = "https://api.eventlink.co/api/v1/dashboard/events/{eventId}/email-templates/custom"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"scheduleOffsetMinutes": 123,
"enabled": True
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
scheduleOffsetMinutes: 123,
enabled: true
})
};
fetch('https://api.eventlink.co/api/v1/dashboard/events/{eventId}/email-templates/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source": "org",
"organizationTemplateId": "<string>",
"eventTemplateId": "<string>",
"overrideId": "<string>",
"kind": "system",
"systemKey": "<string>",
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"trigger": "ON_REGISTER",
"scheduleAnchor": "event_start",
"scheduleOffsetMinutes": 123,
"audience": "registrant",
"enabled": true,
"inherited": true
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Create an event-only custom email template
POST
/
api
/
v1
/
dashboard
/
events
/
{eventId}
/
email-templates
/
custom
Create an event-only custom email template
Authorizations
Better Auth session cookie.
Path Parameters
Body
application/json
Required string length:
1 - 200Required string length:
1 - 500Required string length:
1 - 50000Available options:
ON_REGISTER, ON_WAITLIST, ON_STATUS_CHANGE, ON_PAYMENT_REQUIRED, ON_TICKET_ISSUED, ON_TICKET_PURCHASE, ON_CHECK_IN, ON_ATTENDANCE_CLOSEOUT, ON_INVITE, SCHEDULED, MANUAL_PROMO Available options:
registrant, organizers Available options:
event_start, event_end, null Response
Created
Available options:
org, event_custom Available options:
system, custom Available options:
ON_REGISTER, ON_WAITLIST, ON_STATUS_CHANGE, ON_PAYMENT_REQUIRED, ON_TICKET_ISSUED, ON_TICKET_PURCHASE, ON_CHECK_IN, ON_ATTENDANCE_CLOSEOUT, ON_INVITE, SCHEDULED, MANUAL_PROMO Available options:
event_start, event_end, null Available options:
registrant, organizers